#!/bin/sh
# preuninstall script for okas
# $Id: uninst.sh,v 1.1 2006/06/19 07:52:45 glen Exp $
. /usr/lib/okas/functions
umask 002

case "$1" in
XTerm|XFree86)
	# XTerm App-Defaults
	UnPatchFile \
		/usr/X11R6/lib/X11/app-defaults/XTerm \
		's|.*#include.*okas/XTerm.ad".*$|! &|g'
;;

bashrc)
	# bashrc
	if [ -f /etc/bash.bashrc ]; then # SuSE
		bashrc=/etc/bash.bashrc.local

	elif [ -f /etc/bashrc.local ]; then # we
		bashrc=/etc/bashrc.local

	else
		bashrc=/etc/bashrc

	fi

	UnPatchFile $bashrc \
		's|^.*okas/bashrc|# &|g'

	# PLD Ac
	if [ -L /etc/shrc.d/okas.sh ]; then
		rm -f /etc/shrc.d/okas.sh
	fi
;;

vim)
	UnPatchFile /etc/vim/vimrc \
		's|.*so.*vim/okas.vim|" &|g' \
;;

hosts)
	# remove delfi hosts
	UnPatchFile /etc/hosts \
		'/^# START delfi.hosts/,/^# END delfi.hosts/d'
;;

esac

